> ## Documentation Index
> Fetch the complete documentation index at: https://productlane.mintlify.site/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Send message

> Send an email or Slack message to a thread. Authentication is required. For Slack threads, channelId can be provided or will use the thread's slackChannelId if available.



## OpenAPI

````yaml post /threads/{threadId}/messages
openapi: 3.0.3
info:
  title: Productlane API
  version: 1.0.0
servers:
  - url: https://productlane.com/api/v1
security: []
paths:
  /threads/{threadId}/messages:
    post:
      tags:
        - threads
      summary: Send message
      description: >-
        Send an email or Slack message to a thread. Authentication is required.
        For Slack threads, channelId can be provided or will use the thread's
        slackChannelId if available.
      operationId: threads-sendMessage
      parameters:
        - name: threadId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                content:
                  type: string
                  minLength: 1
                cc:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      email:
                        type: string
                        maxLength: 254
                      mailboxHash:
                        type: string
                    required:
                      - name
                      - email
                      - mailboxHash
                    additionalProperties: false
                bcc:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      email:
                        type: string
                        maxLength: 254
                      mailboxHash:
                        type: string
                    required:
                      - name
                      - email
                      - mailboxHash
                    additionalProperties: false
                attachments:
                  type: array
                  items:
                    type: object
                    properties:
                      Content:
                        type: string
                      ContentLength:
                        anyOf:
                          - type: string
                          - type: number
                        nullable: true
                      Name:
                        type: string
                      ContentType:
                        type: string
                      ContentID:
                        type: string
                    required:
                      - Name
                      - ContentType
                    additionalProperties: false
                channelId:
                  type: string
              required:
                - content
              additionalProperties: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  messageId:
                    type: string
                  threadId:
                    type: string
                required:
                  - messageId
                  - threadId
                additionalProperties: false
        default:
          $ref: '#/components/responses/error'
      security:
        - Authorization: []
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````